// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_exchange_rate.proto

package order

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ExchangeRate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id            int64                `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	BasicCurrency string               `protobuf:"bytes,2,opt,name=basic_currency,json=basicCurrency,proto3" json:"basic_currency,omitempty"`
	BasicValue    int64                `protobuf:"varint,3,opt,name=basic_value,json=basicValue,proto3" json:"basic_value,omitempty"`
	Currency      string               `protobuf:"bytes,4,opt,name=currency,proto3" json:"currency,omitempty"`
	RateDate      *timestamp.Timestamp `protobuf:"bytes,5,opt,name=rate_date,json=rateDate,proto3" json:"rate_date,omitempty"`
	Bid           int64                `protobuf:"varint,6,opt,name=bid,proto3" json:"bid,omitempty"`
	BidChange     int64                `protobuf:"varint,7,opt,name=bid_change,json=bidChange,proto3" json:"bid_change,omitempty"`
	Ask           int64                `protobuf:"varint,8,opt,name=ask,proto3" json:"ask,omitempty"`
	AskChange     int64                `protobuf:"varint,9,opt,name=ask_change,json=askChange,proto3" json:"ask_change,omitempty"`
	UpdatedAt     *timestamp.Timestamp `protobuf:"bytes,21,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *ExchangeRate) Reset() {
	*x = ExchangeRate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_exchange_rate_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExchangeRate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExchangeRate) ProtoMessage() {}

func (x *ExchangeRate) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_exchange_rate_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExchangeRate.ProtoReflect.Descriptor instead.
func (*ExchangeRate) Descriptor() ([]byte, []int) {
	return file_v1_order_model_exchange_rate_proto_rawDescGZIP(), []int{0}
}

func (x *ExchangeRate) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ExchangeRate) GetBasicCurrency() string {
	if x != nil {
		return x.BasicCurrency
	}
	return ""
}

func (x *ExchangeRate) GetBasicValue() int64 {
	if x != nil {
		return x.BasicValue
	}
	return 0
}

func (x *ExchangeRate) GetCurrency() string {
	if x != nil {
		return x.Currency
	}
	return ""
}

func (x *ExchangeRate) GetRateDate() *timestamp.Timestamp {
	if x != nil {
		return x.RateDate
	}
	return nil
}

func (x *ExchangeRate) GetBid() int64 {
	if x != nil {
		return x.Bid
	}
	return 0
}

func (x *ExchangeRate) GetBidChange() int64 {
	if x != nil {
		return x.BidChange
	}
	return 0
}

func (x *ExchangeRate) GetAsk() int64 {
	if x != nil {
		return x.Ask
	}
	return 0
}

func (x *ExchangeRate) GetAskChange() int64 {
	if x != nil {
		return x.AskChange
	}
	return 0
}

func (x *ExchangeRate) GetUpdatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

// Get
type GetExchangeRateByCurrencyRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// required
	BasicCurrency string `protobuf:"bytes,1,opt,name=basic_currency,json=basicCurrency,proto3" json:"basic_currency,omitempty"`
	// required
	Currency string `protobuf:"bytes,2,opt,name=currency,proto3" json:"currency,omitempty"`
}

func (x *GetExchangeRateByCurrencyRequest) Reset() {
	*x = GetExchangeRateByCurrencyRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_exchange_rate_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetExchangeRateByCurrencyRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetExchangeRateByCurrencyRequest) ProtoMessage() {}

func (x *GetExchangeRateByCurrencyRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_exchange_rate_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetExchangeRateByCurrencyRequest.ProtoReflect.Descriptor instead.
func (*GetExchangeRateByCurrencyRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_exchange_rate_proto_rawDescGZIP(), []int{1}
}

func (x *GetExchangeRateByCurrencyRequest) GetBasicCurrency() string {
	if x != nil {
		return x.BasicCurrency
	}
	return ""
}

func (x *GetExchangeRateByCurrencyRequest) GetCurrency() string {
	if x != nil {
		return x.Currency
	}
	return ""
}

type GetExchangeRateByCurrencyResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *ExchangeRate `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetExchangeRateByCurrencyResponse) Reset() {
	*x = GetExchangeRateByCurrencyResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_exchange_rate_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetExchangeRateByCurrencyResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetExchangeRateByCurrencyResponse) ProtoMessage() {}

func (x *GetExchangeRateByCurrencyResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_exchange_rate_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetExchangeRateByCurrencyResponse.ProtoReflect.Descriptor instead.
func (*GetExchangeRateByCurrencyResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_exchange_rate_proto_rawDescGZIP(), []int{2}
}

func (x *GetExchangeRateByCurrencyResponse) GetItem() *ExchangeRate {
	if x != nil {
		return x.Item
	}
	return nil
}

var File_v1_order_model_exchange_rate_proto protoreflect.FileDescriptor

var file_v1_order_model_exchange_rate_proto_rawDesc = []byte{
	0x0a, 0x22, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x65, 0x78, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x5f, 0x72, 0x61, 0x74, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x12, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xde, 0x02, 0x0a, 0x0c, 0x45, 0x78,
	0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x61, 0x74, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x25, 0x0a, 0x0e, 0x62, 0x61,
	0x73, 0x69, 0x63, 0x5f, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0d, 0x62, 0x61, 0x73, 0x69, 0x63, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63,
	0x79, 0x12, 0x1f, 0x0a, 0x0b, 0x62, 0x61, 0x73, 0x69, 0x63, 0x5f, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x62, 0x61, 0x73, 0x69, 0x63, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x12, 0x37,
	0x0a, 0x09, 0x72, 0x61, 0x74, 0x65, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x08, 0x72,
	0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x62, 0x69, 0x64, 0x18, 0x06,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x62, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x62, 0x69, 0x64,
	0x5f, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x62,
	0x69, 0x64, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x61, 0x73, 0x6b, 0x18,
	0x08, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x61, 0x73, 0x6b, 0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x73,
	0x6b, 0x5f, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09,
	0x61, 0x73, 0x6b, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x64, 0x41, 0x74, 0x4a, 0x04, 0x08, 0x0a, 0x10, 0x15, 0x22, 0x65, 0x0a, 0x20, 0x47, 0x65,
	0x74, 0x45, 0x78, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x61, 0x74, 0x65, 0x42, 0x79, 0x43,
	0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x25,
	0x0a, 0x0e, 0x62, 0x61, 0x73, 0x69, 0x63, 0x5f, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x62, 0x61, 0x73, 0x69, 0x63, 0x43, 0x75, 0x72,
	0x72, 0x65, 0x6e, 0x63, 0x79, 0x12, 0x1a, 0x0a, 0x08, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63,
	0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63,
	0x79, 0x22, 0x59, 0x0a, 0x21, 0x47, 0x65, 0x74, 0x45, 0x78, 0x63, 0x68, 0x61, 0x6e, 0x67, 0x65,
	0x52, 0x61, 0x74, 0x65, 0x42, 0x79, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x34, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x45, 0x78, 0x63, 0x68, 0x61, 0x6e,
	0x67, 0x65, 0x52, 0x61, 0x74, 0x65, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x42, 0x4b, 0x0a, 0x15,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x2d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61,
	0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31,
	0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_v1_order_model_exchange_rate_proto_rawDescOnce sync.Once
	file_v1_order_model_exchange_rate_proto_rawDescData = file_v1_order_model_exchange_rate_proto_rawDesc
)

func file_v1_order_model_exchange_rate_proto_rawDescGZIP() []byte {
	file_v1_order_model_exchange_rate_proto_rawDescOnce.Do(func() {
		file_v1_order_model_exchange_rate_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_exchange_rate_proto_rawDescData)
	})
	return file_v1_order_model_exchange_rate_proto_rawDescData
}

var file_v1_order_model_exchange_rate_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_v1_order_model_exchange_rate_proto_goTypes = []interface{}{
	(*ExchangeRate)(nil),                      // 0: fcp.order.v1.order.ExchangeRate
	(*GetExchangeRateByCurrencyRequest)(nil),  // 1: fcp.order.v1.order.GetExchangeRateByCurrencyRequest
	(*GetExchangeRateByCurrencyResponse)(nil), // 2: fcp.order.v1.order.GetExchangeRateByCurrencyResponse
	(*timestamp.Timestamp)(nil),               // 3: google.protobuf.Timestamp
}
var file_v1_order_model_exchange_rate_proto_depIdxs = []int32{
	3, // 0: fcp.order.v1.order.ExchangeRate.rate_date:type_name -> google.protobuf.Timestamp
	3, // 1: fcp.order.v1.order.ExchangeRate.updated_at:type_name -> google.protobuf.Timestamp
	0, // 2: fcp.order.v1.order.GetExchangeRateByCurrencyResponse.item:type_name -> fcp.order.v1.order.ExchangeRate
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_v1_order_model_exchange_rate_proto_init() }
func file_v1_order_model_exchange_rate_proto_init() {
	if File_v1_order_model_exchange_rate_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_exchange_rate_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExchangeRate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_exchange_rate_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetExchangeRateByCurrencyRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_exchange_rate_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetExchangeRateByCurrencyResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_exchange_rate_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_exchange_rate_proto_goTypes,
		DependencyIndexes: file_v1_order_model_exchange_rate_proto_depIdxs,
		MessageInfos:      file_v1_order_model_exchange_rate_proto_msgTypes,
	}.Build()
	File_v1_order_model_exchange_rate_proto = out.File
	file_v1_order_model_exchange_rate_proto_rawDesc = nil
	file_v1_order_model_exchange_rate_proto_goTypes = nil
	file_v1_order_model_exchange_rate_proto_depIdxs = nil
}
